// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    language: "",
    member: {},
    rewardsList: [],
    rewardsData: {},
    setLang: {},
    // 团队数据
    teamData: [],
    team_cost_count: {},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.checkrouter();
    this.getData();
  },
  checkrouter() {
    try {
      // 推广中心是否开启该功能，没开启跳转到指定路径
      let basic_info = wx.getStorageSync("yz_basic_info");
      let stop_info = basic_info.popularize_page.mini.vue_route;
      for (let i = 0; i < stop_info.length; i++) {
        if (stop_info[i] == "MRYT") {
          console.log(basic_info.popularize_page.mini.mini_url + "跳转的路径");

          wx.showToast({
            title: "未开启推广权限",
            duration: 1000,
            icon: "none",
            success: function () {
              setTimeout(() => {
                wx.redirectTo({
                  url: basic_info.popularize_page.mini.mini_url,
                });
              }, 1000);
            },
          });
          return;
        }
      }
    } catch (e) {
      console.log(e);
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync("langIndex");
    this.setData({ language: language.en });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  toReward(item) {
    let items = item.currentTarget.dataset.item || item.target.dataset.item;
    wx.navigateTo({
      url: "/packageB/member/enterprise/AwardRecord/AwardRecord" + "?name=" + items.identifying + "&reward_name=" + items.reward_name + "&fromHome=1",
    });
  },
  getData() {
    let urlStr = app.getNetAddresss("plugin.mryt.api.home.index");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            rewardsData: resdata.data,
            member: resdata.data.member,
            rewardsList: resdata.data.rewards,
            setLang: resdata.data.set,
            WXtitle: resdata.data.set.name,
            teamData: resdata.data.team_statistics,
            team_cost_count: resdata.data.team_cost_count,
          });
          wx.setNavigationBarTitle({
            title: resdata.data.set.name ? resdata.data.set.name : "",
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  gotoTeamDataCount(obj) {
    if (obj == "VIP") {
      wx.navigateTo({
        url: "/packageB/member/enterprise/TeamDataCount/TeamDataCount" + "?is_type=vip",
      });
    }
    let objs = obj.currentTarget.dataset.item || obj.target.dataset.item;
    wx.navigateTo({
      url: "/packageB/member/enterprise/TeamDataCount/TeamDataCount" + "?type=" + objs.type + "&level=" + objs.level,
    });
  },
});
